# Confluence space exporter
A little program to download Confluence spaces for offline usage or sharing with others.

An index.html is exported which reflects the pagetree of the space. Optionally attachments
are downloaded as well. Some cleanup is done to the Confluence specific HTML to be able
to render it with normal CSS.

## Usage
```
confluence-space-exporter --baseurl BASEURL --spacekey SPACEKEY --user USER --token TOKEN [--attachments]

Options:
  --baseurl BASEURL      Base URL of the Confluence instance (required), i.e. https://company.atlassian.net
  --spacekey SPACEKEY    Spacekey to export (required)
  --user USER            User used for authentication (required)
  --token TOKEN          Token used for authentication (required)
  --attachments, -a      Download attachments
  --help, -h             display this help and exit
```

After a successful export you find a folder named like the space. Open the `index.html`
in that folder with your browser to get started.
